Page MenuHomePhabricator

New paragraphs won't add when clicked in Content translation
Closed, ResolvedPublic

Description

While trying to click on new paragraphs/section headings/images to bring across to the new translation, the system refuses to add the new content. Instead, it just highlights the section of the user-interface that I click. See attached video.

(Also visible in the video is an example of T105408 - "link dialogue disappearing off the bottom of the screen).

p.s. If you can tell me a better way to share screen-videos, that'd be good!

Event Timeline

Wittylama raised the priority of this task from to Needs Triage.
Wittylama updated the task description. (Show Details)
Wittylama added a project: ContentTranslation.
Wittylama added a subscriber: Wittylama.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2015, 12:25 PM
Wittylama updated the task description. (Show Details)Jul 13 2015, 12:27 PM
Wittylama set Security to None.
Amire80 triaged this task as Medium priority.Jul 13 2015, 2:42 PM

Thanks for reporting this and for the video. This looks like an OK way to upload videos, but maybe @Pginer-WMF can suggest something better.

This looks pretty severe, but the trouble is that I'm not sure how to reproduce it. I'll try to reproduce, but if this happens again, can you please also open that JavaScript console?

Thanks!

Change 224424 had a related patch set uploaded (by Santhosh):
fetchLinkData of CXLink class must return jQuery.Promise

https://gerrit.wikimedia.org/r/224424

santhosh claimed this task.Jul 13 2015, 3:08 PM
santhosh raised the priority of this task from Medium to High.

I am able to reproduce it and hence raising the priority, bug is caused by a js error. I had fixed this in the development of more advanced link feature in https://gerrit.wikimedia.org/r/#/c/217491 But since that patch delayed in code review, I now committed a patch with that one line fix.

Change 224424 merged by jenkins-bot:
fetchLinkData of CXLink class must return jQuery.Promise

https://gerrit.wikimedia.org/r/224424

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 19 2015, 4:24 AM
Arrbee closed this task as Resolved.Jul 21 2015, 4:34 PM
Arrbee added a subscriber: Arrbee.